## cutemaze 1.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0)

# Configure project
project(cutemaze VERSION 1.3.0 LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

find_package(Qt6 REQUIRED COMPONENTS Core Gui LinguistTools Svg Widgets)
if(UNIX AND NOT APPLE)
	include(GNUInstallDirs)
endif()

add_compile_definitions(
	QT_STRICT_ITERATORS
	QT_NO_NARROWING_CONVERSIONS_IN_CONNECT
	QT_DISABLE_DEPRECATED_BEFORE=0x060000
)

# Create translations
file(GLOB translations_SRCS translations/*.ts)
qt6_add_translation(translations_QM ${translations_SRCS})

add_custom_target(update_translations
	COMMAND Qt6::lupdate -no-obsolete -locations none src -ts ${translations_SRCS}
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
	VERBATIM
)

# Create program
qt6_add_executable(cutemaze
	src/board.cpp
	src/cell.cpp
	src/locale_dialog.cpp
	src/main.cpp
	src/maze.cpp
	src/new_game_dialog.cpp
	src/path.cpp
	src/scores_dialog.cpp
	src/settings.cpp
	src/solver.cpp
	src/theme.cpp
	src/window.cpp
	icons/icons.qrc
	themes/theme.qrc
	preview/preview.qrc
	${translations_QM}
)

target_link_libraries(cutemaze PRIVATE
	Qt6::Core
	Qt6::Gui
	Qt6::Svg
	Qt6::Widgets
)

target_compile_definitions(cutemaze PRIVATE VERSIONSTR="${PROJECT_VERSION}")

# Install
if(UNIX AND NOT APPLE)
	target_sources(cutemaze PRIVATE icons/icon.qrc)

	install(TARGETS cutemaze RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
	install(FILES ${translations_QM} DESTINATION ${CMAKE_INSTALL_DATADIR}/cutemaze/translations)
	install(FILES doc/cutemaze.6 DESTINATION ${CMAKE_INSTALL_MANDIR}/man6 COMPONENT doc)
	install(DIRECTORY icons/hicolor DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
	install(FILES icons/cutemaze.appdata.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
	install(FILES icons/cutemaze.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
elseif(WIN32)
	# Use Qt6 macro until CMake provides something
	# https://bugreports.qt.io/browse/QTBUG-87618
	set_target_properties(cutemaze PROPERTIES
		WIN32_EXECUTABLE TRUE
		QT_TARGET_VERSION "${PROJECT_VERSION}"
		QT_TARGET_COMPANY_NAME "Graeme Gott"
		QT_TARGET_DESCRIPTION "Simple maze game"
		QT_TARGET_COPYRIGHT "Copyright (C) 2021 Graeme Gott"
		QT_TARGET_PRODUCT_NAME "CuteMaze"
		QT_TARGET_RC_ICONS ${CMAKE_SOURCE_DIR}/icons/cutemaze.ico
	)
	_qt_internal_generate_win32_rc_file(cutemaze)
endif()

## cutemaze 1.1.1

=== debian/changelog ===
cutemaze (1.1.1-3) unstable; urgency=medium

  * Removed hardcoded library build dependencies (Closes: #767176)

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Sat, 08 Nov 2014 06:52:09 +0100

cutemaze (1.1.1-2) unstable; urgency=medium

  * Copyright added for icons/oxygen/*
  * Added gbp.conf to d/
  * Removed qt5-default from Build-Deps
    - added libqt5gui5, libqt5core5a, libqt5svg5, libqt5widgets 
  * Bump standards to 3.9.6
    - no changes needed

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Sat, 08 Nov 2014 06:51:40 +0100

cutemaze (1.1.1-1) unstable; urgency=low

  * Initial release (Closes: #748088)

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Tue, 13 May 2014 19:04:53 +0800

=== debian/control ===
Source: cutemaze
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
Build-Depends:
 debhelper (>= 9),
 libqt5svg5-dev,
 pkg-config,
 qtbase5-dev,
Standards-Version: 3.9.6
Homepage: http://gottcode.org/cutemaze/
Vcs-Git: git://anonscm.debian.org/pkg-games/cutemaze.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/cutemaze.git

Package: cutemaze
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: single player maze game
 CuteMaze is a simple, top-down game in which mazes are randomly generated 
 using one of a choice of several different algorithms. You move the character 
 through the maze while hunting for targets (cheese, by default) - 
 the game is won once all of these targets have been picked up.

=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
DFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ --parallel

override_dh_auto_configure:
	/usr/bin/qmake -qt5 -makefile -nocache QMAKE_LFLAGS_RELEASE="$(LDFLAGS)" QMAKE_CFLAGS_RELEASE="$(CFLAGS)" QMAKE_CXXFLAGS_RELEASE="$(CXXFLAGS)" QMAKE_CPPFLAGS_RELEASE="$(CPPFLAGS)" PREFIX=/usr BINDIR=games

## cutemaze 1.2.0

=== debian/changelog ===
cutemaze (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0
  * Bump standards to 3.9.8
    - no changes needed
  * Updated Vcs fields to secure schema
  * Updated emails and dates in d/copyright
  * Added hardening to d/rules
  * qttools5-dev-tools added to build deps

 -- Dariusz Dwornikowski <darek@debian.org>  Sat, 21 Jan 2017 14:01:55 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
+Uploaders: Dariusz Dwornikowski <darek@debian.org>
 Build-Depends:
  debhelper (>= 9),
+ qttools5-dev-tools,
  libqt5svg5-dev,
  pkg-config,
  qtbase5-dev,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://gottcode.org/cutemaze/
-Vcs-Git: git://anonscm.debian.org/pkg-games/cutemaze.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/cutemaze.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/cutemaze.git
+Vcs-Browser: https://anonscm.debian.org/pkg-games/cutemaze.git
 
 Package: cutemaze
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all 
 
 CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
 CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)

## cutemaze 1.2.2

=== debian/changelog ===
cutemaze (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2 (Closes: #896444).
  * Bump standards to 4.1.4.
  * Updated dates and write secure URI in d/copyright.
  * Bumped to debhelper and compat level 11.
  * Bumped to Standards-Version 4.1.4.
  * Removed unnecessary dh argument --parallel on d/rules.
  * Added override_dh_installchangelogs to install upstream NEWS file.
  * Drop deprecated debian/menu file.
  * Install upstream manpage (removed debian manpage).
  * Migrated to the salsa repository.
  * Added debian/upstream/metadata file.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sat, 21 Apr 2018 18:11:23 +0100

=== debian/control ===
Source: cutemaze
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Innocent De Marchi <tangram.peces@gmail.com>
Build-Depends:
 debhelper (>= 11),
 qttools5-dev-tools,
 libqt5svg5-dev,
 pkg-config,
 qtbase5-dev,
Standards-Version: 4.1.4
Homepage: https://gottcode.org/cutemaze/
Vcs-Git: https://salsa.debian.org/games-team/cutemaze.git
Vcs-Browser: https://salsa.debian.org/games-team/cutemaze

Package: cutemaze
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: single player maze game
 CuteMaze is a simple, top-down game in which mazes are randomly generated
 using one of a choice of several different algorithms. You move the character
 through the maze while hunting for targets (cheese, by default) -
 the game is won once all of these targets have been picked up.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
DFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_configure:
	/usr/bin/qmake -qt5 -makefile -nocache \
	QMAKE_LFLAGS_RELEASE="$(LDFLAGS)" QMAKE_CFLAGS_RELEASE="$(CFLAGS)" \
	QMAKE_CXXFLAGS_RELEASE="$(CXXFLAGS)" QMAKE_CPPFLAGS_RELEASE="$(CPPFLAGS)" PREFIX=/usr BINDIR=games

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## cutemaze 1.2.3

=== debian/changelog ===
cutemaze (1.2.3-1) unstable; urgency=medium

  * New upstream version 1.2.3.
  * Updated dates and write secure URI in d/copyright.
  * Removed add-desktop-keyword.patch (has been added by the
    author in the sources).

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sun, 10 Jun 2018 18:08:12 +0100

## cutemaze 1.2.4

=== debian/changelog ===
cutemaze (1.2.4-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards to 4.1.5.
  * Removed installchangelogs from d/rules (the
    upstream added a changelog to sources).

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sun, 22 Jul 2018 12:16:05 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libqt5svg5-dev,
  pkg-config,
  qtbase5-dev,
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Homepage: https://gottcode.org/cutemaze/
 Vcs-Git: https://salsa.debian.org/games-team/cutemaze.git
 Vcs-Browser: https://salsa.debian.org/games-team/cutemaze

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,3 @@
 	/usr/bin/qmake -qt5 -makefile -nocache \
 	QMAKE_LFLAGS_RELEASE="$(LDFLAGS)" QMAKE_CFLAGS_RELEASE="$(CFLAGS)" \
 	QMAKE_CXXFLAGS_RELEASE="$(CXXFLAGS)" QMAKE_CPPFLAGS_RELEASE="$(CPPFLAGS)" PREFIX=/usr BINDIR=games
-
-override_dh_installchangelogs:
-	dh_installchangelogs NEWS

## cutemaze 1.2.5

=== debian/changelog ===
cutemaze (1.2.5-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:12:15 +0100

cutemaze (1.2.5-1) unstable; urgency=medium

  * New upstream version 1.2.5
  * Switch to debhelper-compat = 12.
  * Declare compliance with Debian Policy 4.4.0.
  * Remove Innocent De Marchi from Uploaders and add myself to it.
    (Closes: #922908)

  [ Helmut Grohne ]
  * Fix FTCBFS. (Closes: #923584)

 -- Markus Koschany <apo@debian.org>  Sat, 10 Aug 2019 18:05:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Innocent De Marchi <tangram.peces@gmail.com>
+Uploaders: Markus Koschany <apo@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  qttools5-dev-tools,
  libqt5svg5-dev,
  pkg-config,
  qtbase5-dev,
-Standards-Version: 4.1.5
+Standards-Version: 4.4.0
 Homepage: https://gottcode.org/cutemaze/
 Vcs-Git: https://salsa.debian.org/games-team/cutemaze.git
 Vcs-Browser: https://salsa.debian.org/games-team/cutemaze

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export QT_SELECT=qt5

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -nocache \
	QMAKE_CFLAGS_RELEASE="$(CFLAGS)" \
	QMAKE_CXXFLAGS_RELEASE="$(CXXFLAGS)" QMAKE_CPPFLAGS_RELEASE="$(CPPFLAGS)" BINDIR=games

=== debian/watch ===
version=3
https://github.com/gottcode/cutemaze/releases .*/archive/v(\d[\d\.]+)\.tar\.gz

## cutemaze 1.2.6

=== debian/changelog ===
cutemaze (1.2.6-1) unstable; urgency=medium

  * New upstream version 1.2.6.
  * Declare compliance with Debian Policy 4.5.0.

 -- Markus Koschany <apo@debian.org>  Sun, 26 Apr 2020 15:23:27 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libqt5svg5-dev,
  pkg-config,
  qtbase5-dev,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://gottcode.org/cutemaze/
 Vcs-Git: https://salsa.debian.org/games-team/cutemaze.git
 Vcs-Browser: https://salsa.debian.org/games-team/cutemaze

## cutemaze 1.3.0

=== debian/changelog ===
cutemaze (1.3.0-1) unstable; urgency=medium

  * Team upload.

  [ Markus Koschany ]
  * New upstream version 1.3.0.
  * Update debian/watch.
  * Declare compliance with Debian Policy 4.6.0.
  * Switch to debhelper-compat = 13.

  [ Pino Toscano ]
  * Drop the dirs, install, manpages files that create directories, and install
    the application pixmap, and the man page, as the upstream build system
    already creates/installs them properly.
  * Drop debian/cutemaze.xpm, as upstream already ships it.

 -- Markus Koschany <apo@debian.org>  Thu, 14 Oct 2021 15:51:35 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Markus Koschany <apo@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  qttools5-dev-tools,
  libqt5svg5-dev,
  pkg-config,
  qtbase5-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://gottcode.org/cutemaze/
 Vcs-Git: https://salsa.debian.org/games-team/cutemaze.git
 Vcs-Browser: https://salsa.debian.org/games-team/cutemaze

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
 
 %:
-	dh $@
+	dh $@ --buildsystem=qmake
 
 override_dh_auto_configure:
 	dh_auto_configure -- -nocache \

## cutemaze 1.3.2

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021-2023 Graeme Gott <graeme@gottcode.org>
#
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)

# Configure project
project(cutemaze VERSION 1.3.2 LANGUAGES CXX)

set(project_copyright "2007-2023 Graeme Gott")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

find_package(Qt6 REQUIRED COMPONENTS Core Gui LinguistTools Svg Widgets)
include(GNUInstallDirs)

add_compile_definitions(
	QT_NO_KEYWORDS
	$<$<CONFIG:DEBUG>:QT_STRICT_ITERATORS>
	$<$<CONFIG:DEBUG>:QT_NO_NARROWING_CONVERSIONS_IN_CONNECT>
	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060400>
)

# Version number
include(cmake/AddVersionCompileDefinition.cmake)
add_version_compile_definition(src/main.cpp VERSIONSTR)

# Create translations
file(GLOB translations_SRCS translations/*.ts)
qt6_add_translation(translations_QM ${translations_SRCS})

add_custom_target(update_translations
	COMMAND Qt6::lupdate -no-obsolete -locations none src -ts ${translations_SRCS}
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
	VERBATIM
)

# Create program
qt6_add_executable(cutemaze
	src/board.cpp
	src/cell.cpp
	src/locale_dialog.cpp
	src/main.cpp
	src/maze.cpp
	src/new_game_dialog.cpp
	src/path.cpp
	src/scores_dialog.cpp
	src/settings.cpp
	src/solver.cpp
	src/theme.cpp
	src/window.cpp
	icons/icons.qrc
	themes/theme.qrc
	preview/preview.qrc
	${translations_QM}
)

target_link_libraries(cutemaze PRIVATE
	Qt6::Core
	Qt6::Gui
	Qt6::Svg
	Qt6::Widgets
)

# Optimize build
option(ENABLE_LINK_TIME_OPTIMIZATION "Enable link time optimization" OFF)
if(ENABLE_LINK_TIME_OPTIMIZATION)
	include(CheckIPOSupported)
	check_ipo_supported(RESULT result)
	if(result)
		set_target_properties(cutemaze PROPERTIES INTERPROCEDURAL_OPTIMIZATION TRUE)
	endif()
endif()

option(ENABLE_STRIP "Enable automatic stripping of builds" OFF)
if(ENABLE_STRIP)
	add_custom_command(TARGET cutemaze
		POST_BUILD
		COMMAND ${CMAKE_STRIP} $<TARGET_FILE:cutemaze>
	)
endif()

# Install
if(APPLE)
	set(datadir "../Resources")

	set_target_properties(cutemaze PROPERTIES
		OUTPUT_NAME CuteMaze
		MACOSX_BUNDLE TRUE
		MACOSX_BUNDLE_INFO_PLIST ${CMAKE_SOURCE_DIR}/mac/Info.plist.in
	)

	include(cmake/BundleResources.cmake)
	bundle_data(cutemaze ${CMAKE_SOURCE_DIR}/icons/cutemaze.icns Resources)
	bundle_translations(cutemaze "${translations_QM}")
elseif(WIN32)
	set(datadir ".")

	# Use Qt6 macro until CMake provides something
	# https://bugreports.qt.io/browse/QTBUG-87618
	set_target_properties(cutemaze PROPERTIES
		OUTPUT_NAME CuteMaze
		WIN32_EXECUTABLE TRUE
		QT_TARGET_VERSION "${PROJECT_VERSION}"
		QT_TARGET_COMPANY_NAME "Graeme Gott"
		QT_TARGET_DESCRIPTION "Simple maze game"
		QT_TARGET_COPYRIGHT "\\xA9 ${project_copyright}"
		QT_TARGET_PRODUCT_NAME "CuteMaze"
		QT_TARGET_RC_ICONS ${CMAKE_SOURCE_DIR}/icons/cutemaze.ico
	)
	_qt_internal_generate_win32_rc_file(cutemaze)
else()
	file(RELATIVE_PATH datadir ${CMAKE_INSTALL_FULL_BINDIR} ${CMAKE_INSTALL_FULL_DATADIR}/cutemaze)

	target_sources(cutemaze PRIVATE icons/icon.qrc)

	install(TARGETS cutemaze RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
	install(FILES ${translations_QM} DESTINATION ${CMAKE_INSTALL_DATADIR}/cutemaze/translations)
	install(FILES doc/cutemaze.6 DESTINATION ${CMAKE_INSTALL_MANDIR}/man6 COMPONENT doc)
	install(DIRECTORY icons/hicolor DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
	install(FILES icons/cutemaze.appdata.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
	install(FILES icons/cutemaze.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
endif()

set_property(SOURCE src/main.cpp APPEND PROPERTY COMPILE_DEFINITIONS CUTEMAZE_DATADIR="${datadir}")

=== debian/changelog ===
cutemaze (1.3.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:42:31 +1100

cutemaze (1.3.2-1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:50:58 +0000

cutemaze (1.3.2-1) unstable; urgency=medium

  * New upstream version 1.3.2.
  * Declare compliance with Debian Policy 4.6.2.
  * Switch to QT 6.
  * Use cmake instead of qmake to build cutemaze.

 -- Markus Koschany <apo@debian.org>  Thu, 12 Jan 2023 23:51:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: cutemaze
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Markus Koschany <apo@debian.org>
 Build-Depends:
+ cmake,
  debhelper-compat (= 13),
- qttools5-dev-tools,
- libqt5svg5-dev,
+ qt6-tools-dev,
+ qt6-svg-dev,
  pkg-config,
- qtbase5-dev,
-Standards-Version: 4.6.0
+ qt6-base-dev,
+Standards-Version: 4.6.2
 Homepage: https://gottcode.org/cutemaze/
 Vcs-Git: https://salsa.debian.org/games-team/cutemaze.git
 Vcs-Browser: https://salsa.debian.org/games-team/cutemaze

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export QT_SELECT=qt6

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=Release \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_INSTALL_BINDIR=games \

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/cutemaze-$1\.tar\.gz/ \
https://github.com/gottcode/cutemaze/tags .*/v?(\d\S+)\.tar\.gz

## cutemaze 1.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # Configure project
-project(cutemaze VERSION 1.3.2 LANGUAGES CXX)
+project(cutemaze VERSION 1.3.3 LANGUAGES CXX)
 
-set(project_copyright "2007-2023 Graeme Gott")
+set(project_copyright "2007-2024 Graeme Gott")
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -22,7 +22,7 @@
 	QT_NO_KEYWORDS
 	$<$<CONFIG:DEBUG>:QT_STRICT_ITERATORS>
 	$<$<CONFIG:DEBUG>:QT_NO_NARROWING_CONVERSIONS_IN_CONNECT>
-	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060400>
+	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060600>
 )
 
 # Version number

=== debian/changelog ===
cutemaze (1.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.3.3
  * Update Build-Depends: pkg-config -> pkgconf
  * Set Rules-Requires-Root: no

  [ Markus Koschany ]
  * Drop gbp.conf. Update metadata.
  * Update copyright years

 -- Alexandre Detiste <tchet@debian.org>  Wed, 16 Oct 2024 12:53:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: cutemaze
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Markus Koschany <apo@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
+ pkgconf,
  qt6-tools-dev,
  qt6-svg-dev,
- pkg-config,
  qt6-base-dev,
+Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://gottcode.org/cutemaze/
 Vcs-Git: https://salsa.debian.org/games-team/cutemaze.git

=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,3 @@
 		-DCMAKE_BUILD_TYPE=Release \
 		-DCMAKE_INSTALL_PREFIX=/usr \
 		-DCMAKE_INSTALL_BINDIR=games \
-

## cutemaze 1.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
-# SPDX-FileCopyrightText: 2021-2023 Graeme Gott <graeme@gottcode.org>
+# SPDX-FileCopyrightText: 2021-2025 Graeme Gott <graeme@gottcode.org>
 #
 # SPDX-License-Identifier: GPL-3.0-or-later
 
 cmake_minimum_required(VERSION 3.16)
 
 # Configure project
-project(cutemaze VERSION 1.3.3 LANGUAGES CXX)
+project(cutemaze VERSION 1.3.4 LANGUAGES CXX)
 
-set(project_copyright "2007-2024 Graeme Gott")
+set(project_copyright "2007-2025 Graeme Gott")
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -22,25 +22,15 @@
 	QT_NO_KEYWORDS
 	$<$<CONFIG:DEBUG>:QT_STRICT_ITERATORS>
 	$<$<CONFIG:DEBUG>:QT_NO_NARROWING_CONVERSIONS_IN_CONNECT>
-	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060600>
+	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060800>
 )
 
 # Version number
 include(cmake/AddVersionCompileDefinition.cmake)
 add_version_compile_definition(src/main.cpp VERSIONSTR)
 
-# Create translations
-file(GLOB translations_SRCS translations/*.ts)
-qt6_add_translation(translations_QM ${translations_SRCS})
-
-add_custom_target(update_translations
-	COMMAND Qt6::lupdate -no-obsolete -locations none src -ts ${translations_SRCS}
-	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
-	VERBATIM
-)
-
 # Create program
-qt6_add_executable(cutemaze
+qt_add_executable(cutemaze
 	src/board.cpp
 	src/cell.cpp
 	src/locale_dialog.cpp
@@ -64,6 +54,14 @@
 	Qt6::Gui
 	Qt6::Svg
 	Qt6::Widgets
+)
+
+# Create translations
+file(GLOB translations_SRCS translations/*.ts)
+qt_add_translations(cutemaze
+	TS_FILES ${translations_SRCS}
+	QM_FILES_OUTPUT_VARIABLE translations_QM
+	LUPDATE_OPTIONS -no-obsolete -locations none
 )
 
 # Optimize build

=== debian/changelog ===
cutemaze (1.3.4-1) unstable; urgency=medium

  * New upstream version 1.3.4.
  * Declare compliance with Debian Policy 4.7.0.

 -- Markus Koschany <apo@debian.org>  Sat, 08 Feb 2025 16:56:26 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  qt6-svg-dev,
  qt6-base-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://gottcode.org/cutemaze/
 Vcs-Git: https://salsa.debian.org/games-team/cutemaze.git
 Vcs-Browser: https://salsa.debian.org/games-team/cutemaze

## cutemaze 1.3.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 # Configure project
-project(cutemaze VERSION 1.3.4 LANGUAGES CXX)
+project(cutemaze VERSION 1.3.5 LANGUAGES CXX)
 
 set(project_copyright "2007-2025 Graeme Gott")
 
@@ -31,6 +31,19 @@
 
 # Create program
 qt_add_executable(cutemaze
+	# Headers
+	src/board.h
+	src/cell.h
+	src/locale_dialog.h
+	src/maze.h
+	src/new_game_dialog.h
+	src/path.h
+	src/scores_dialog.h
+	src/settings.h
+	src/solver.h
+	src/theme.h
+	src/window.h
+	# Sources
 	src/board.cpp
 	src/cell.cpp
 	src/locale_dialog.cpp
@@ -43,6 +56,7 @@
 	src/solver.cpp
 	src/theme.cpp
 	src/window.cpp
+	# Resources
 	icons/icons.qrc
 	themes/theme.qrc
 	preview/preview.qrc
@@ -120,8 +134,9 @@
 	install(FILES ${translations_QM} DESTINATION ${CMAKE_INSTALL_DATADIR}/cutemaze/translations)
 	install(FILES doc/cutemaze.6 DESTINATION ${CMAKE_INSTALL_MANDIR}/man6 COMPONENT doc)
 	install(DIRECTORY icons/hicolor DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
-	install(FILES icons/cutemaze.appdata.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
-	install(FILES icons/cutemaze.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
+
+	include(cmake/TranslateMetainfo.cmake)
+	process_and_install_metainfo(PO_DIR ${CMAKE_SOURCE_DIR}/icons/po)
 endif()
 
 set_property(SOURCE src/main.cpp APPEND PROPERTY COMPILE_DEFINITIONS CUTEMAZE_DATADIR="${datadir}")

=== debian/changelog ===
cutemaze (1.3.5-1) unstable; urgency=medium

  * New upstream version 1.3.5.
  * Declare compliance with Debian Policy 4.7.2.

 -- Markus Koschany <apo@debian.org>  Thu, 03 Apr 2025 04:49:12 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  qt6-svg-dev,
  qt6-base-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gottcode.org/cutemaze/
 Vcs-Git: https://salsa.debian.org/games-team/cutemaze.git
 Vcs-Browser: https://salsa.debian.org/games-team/cutemaze
